#!/usr/bin/env python3

sample = ["a", 90, 8, "X55", "1z", 102, "asdf", 65, 10, "word", "567", 567]

#sorted_list = sorted(sample)
#print(sorted_list)

reversed_list = sample[::-1]
print(reversed_list)

filtered_list = [ x for x in sample if isinstance(x, int) ]
print(filtered_list)

# matrice
prima_linie = list(range(1, 5))
matrice = []
for i in range(4):
    # Rotim lista la dreapta cu i poziții
    rand = prima_linie[-i:] + prima_linie[:-i]
    matrice.append(rand)

for rand in matrice:
    print(rand)
